> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canary.effectiveai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a catalog filing



## OpenAPI

````yaml /openapi.json get /filings/{filingId}
openapi: 3.0.3
info:
  title: Effective API
  version: 2.0.0
  description: The public Effective REST API. Authenticate using an Effective API key.
servers:
  - url: https://canary.effectiveai.app/api/v2
    description: Canary
security:
  - bearerAuth: []
paths:
  /filings/{filingId}:
    get:
      tags:
        - Filings
      summary: Get a catalog filing
      operationId: getFiling
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: filingId
          in: path
      responses:
        '200':
          description: Filing metadata and caller-visible storage availability.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2Filing'
        '400':
          description: Invalid request or cursor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '403':
          description: Operation forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '404':
          description: Filing or root not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '409':
          description: Inventory exceeds traversal limits.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '503':
          description: Dependency unavailable. Retry-After is in seconds.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
      security:
        - bearerAuth: []
components:
  schemas:
    V2Filing:
      allOf:
        - $ref: '#/components/schemas/V2FilingSummary'
        - type: object
          properties:
            description:
              type: string
              nullable: true
            businessType:
              type: string
              nullable: true
            status:
              type: object
              properties:
                stateStatus:
                  type: string
                  nullable: true
                dispositionStatus:
                  type: string
                  nullable: true
                normalizedOutcome:
                  type: string
                  nullable: true
                regimeExpected:
                  type: string
                  nullable: true
                regimeObserved:
                  type: string
                  nullable: true
                outcomeFavorable:
                  type: string
                  nullable: true
                isClosed:
                  type: boolean
                  nullable: true
                maybeWithdrawal:
                  type: boolean
                  nullable: true
              required:
                - stateStatus
                - dispositionStatus
                - normalizedOutcome
                - regimeExpected
                - regimeObserved
                - outcomeFavorable
                - isClosed
                - maybeWithdrawal
            classification:
              type: object
              properties:
                filingTypeNormalized:
                  type: string
                  nullable: true
                filingTypeVariant:
                  type: string
                  nullable: true
              required:
                - filingTypeNormalized
                - filingTypeVariant
            stateStatusChangedDate:
              type: string
              nullable: true
              format: date
            pageCount:
              type: integer
              nullable: true
              minimum: 0
            availability:
              type: object
              properties:
                storedFiles:
                  type: string
                  enum:
                    - present
                    - none
                    - unknown
                sourceCompleteness:
                  type: string
                  enum:
                    - unknown
              required:
                - storedFiles
                - sourceCompleteness
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
          required:
            - description
            - businessType
            - status
            - classification
            - stateStatusChangedDate
            - pageCount
            - availability
            - createdAt
            - updatedAt
    V2CodedError:
      allOf:
        - $ref: '#/components/schemas/V2Error'
        - type: object
          properties:
            code:
              type: string
              minLength: 1
              description: Stable error code. Clients must tolerate unknown future codes.
            details:
              type: array
              items:
                type: object
                properties:
                  location:
                    type: string
                    enum:
                      - path
                      - query
                      - header
                      - body
                  path:
                    type: array
                    items:
                      type: string
                      maxLength: 64
                    maxItems: 12
                  code:
                    type: string
                    enum:
                      - required
                      - invalid_type
                      - invalid_value
                      - unknown_field
                  message:
                    type: string
                    minLength: 1
                    maxLength: 200
                required:
                  - location
                  - path
                  - code
                  - message
              minItems: 1
              maxItems: 20
              description: Bounded safe validation issues; may omit some invalid fields.
            requestId:
              type: string
              minLength: 1
              maxLength: 128
              description: >-
                Existing server correlation for this HTTP attempt, when
                available.
          required:
            - code
    V2FilingSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        source:
          type: string
        sourceReference:
          type: string
        state:
          type: string
        companyName:
          type: string
          nullable: true
        carrierIds:
          type: array
          nullable: true
          items:
            type: string
        groupId:
          type: string
          nullable: true
        productName:
          type: string
          nullable: true
        typeOfInsurance:
          type: string
          nullable: true
        subTypeOfInsurance:
          type: string
          nullable: true
        toiCode:
          type: string
          nullable: true
        subToiCode:
          type: string
          nullable: true
        filingType:
          type: string
          nullable: true
        sourceStatus:
          type: string
          nullable: true
        submissionDate:
          type: string
          nullable: true
          format: date
        dispositionDate:
          type: string
          nullable: true
          format: date
      required:
        - id
        - source
        - sourceReference
        - state
        - companyName
        - carrierIds
        - groupId
        - productName
        - typeOfInsurance
        - subTypeOfInsurance
        - toiCode
        - subToiCode
        - filingType
        - sourceStatus
        - submissionDate
        - dispositionDate
    V2Error:
      type: object
      properties:
        error:
          type: string
          minLength: 1
          description: Human-readable explanation of the failure.
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Effective API key. Send Authorization: Bearer sk-eai-...'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.